Subject: Re: Mac swi Prolog

From: Jan Wielemaker <[email-masked]>
Date: Mon, 5 Jun 2000 10:19:39 +0200

On Fri, 02 Jun 2000, [email-masked] wrote:
>> Is there any swi Prolog for the Macintosh available? I did a lot of
>> scientific Prolog programming seven years ago. I always had difficulties
>> to find a fast version. During the last few years I didn´t hear anything
>> about Prolog.
>
>A port to MacOS would be difficult, I'd think.  Much easier would be to wait
>a few months for MacOS X Beta and port to that, or port immediately
>to MacOS Server.  Both are BSD-flavored.  But this won't work
>if you need to run it under a "classic" environment.

I don't really think it would be that hard.  Basically all is plain
ANSI-C.  There are two problem areas: the console.  You need to rebind
the Prolog I/O to some character-I/O window.  This is done for plwin.exe
as well, and rather easy.  Second is to deal with memory management for
the stacks.  Various schemas are available, and with good knowledge of
what can be done in MacOS it should not be too hard, provided there is
some way to allocate real big memory chunks (the biggest allocation
contains both the local and global stacks).

	Regards --- Jan